<?php
// $Id: macro.php 20295 2006-02-15 12:31:25Z  $

require('parse/macros.php');
require('parse/html.php');

// Execute a macro directly from the URL.
function action_macro()
{
	global $ViewMacroEngine, $macro, $parms;

	if(!empty($ViewMacroEngine[$macro]))
	{
		print $ViewMacroEngine[$macro]($parms);
	}
}
?>
